Page MenuHomePhabricator

Interlanguage links don't work on the Atikamekw Wikipedia
Closed, ResolvedPublic

Description

The Atikamekw Wikipedia (https://atj.wikipedia.org) was created a few days ago (T167714).

You can add articles to Wikidata items by going to the items and adding it manually, by going to the item, entereing the language code and the article name.

However, even when that is done, the articles on the Atikamekw Wikipedia don't show any language links, and the other languages connected to that item don't link to the Atikamekw Wikipedia. Example: https://atj.wikipedia.org/wiki/Manawan_sipi, which is connected to https://www.wikidata.org/wiki/Q15122970, so there should be a link to Atikamekw on https://fr.wikipedia.org/wiki/Rivi%C3%A8re_Manouane_(La_Tuque), but there isn't.

Also, it's not possible to add interlanguage links (i.e. connect an article to a Wikidata item) the quick way, by clicking the "Add links" link under the "Languages" header in the sidebar (you can enter the language, but the "Article" input field stays grayed out and uneditable).

I suspect this is related to T167720, since that step – understandably – seems not to have been taken when the wiki was created, but I'm not sure.

Event Timeline

jhsoby created this task.Jun 18 2017, 2:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2017, 2:17 AM
Reedy added a comment.Jun 18 2017, 2:40 AM

Yup, until the Wikidata guys tell us how we're supposed to do T167720, and as such, register the language code into Wikidata... links both ways won't work

Reedy closed this task as Resolved.Jun 19 2017, 6:32 PM
Reedy claimed this task.

They do now!

jhsoby reopened this task as Open.Jun 19 2017, 9:56 PM

Yay! They now appear in other Wikipedias, but I'm still not able to add links to Wikidata the quick way as described above. For an example, try to go to https://atj.wikipedia.org/wiki/Cikakw and link it to [[en:Striped skunk]] (by clicking "Ajouter des liens" under "Languages").

Also, links to other languages from the Atikamekw Wikipedia still don't show – the list in https://atj.wikipedia.org/wiki/Manawan_sipi is still empty even though it should have links to five other languages.

Yay! They now appear in other Wikipedias, but I'm still not able to add links to Wikidata the quick way as described above. For an example, try to go to https://atj.wikipedia.org/wiki/Cikakw and link it to [[en:Striped skunk]] (by clicking "Ajouter des liens" under "Languages").

It's giving me the link to the Wikidata item at https://www.wikidata.org/wiki/Q15122970 though... And it's linked back on that page on the wikidata side

Some issue with the wikidata job dispatchers? Do they need a poke to know that atj is now there?

This comment was removed by Benoit_Rochon.
Lydia_Pintscher triaged this task as High priority.Jun 22 2017, 4:28 PM
aude closed this task as Resolved.Jul 11 2017, 1:56 PM
aude claimed this task.

took care of this 2 weeks ago

Dcljr added a subscriber: Dcljr.Jul 15 2017, 10:15 AM

Sorry for the post-closure comment, but I just noticed there are two different pages for the striped skunk at atjwiki:

Just wanted to mention this in case anyone is looking at this task later, wondering why atj:Cikakw still doesn't have interwikis on it.

(As noted at T167714#3441150, interwikis seem to be working fine now at atjwiki.)